////////////////////////////////////////////////////////////////////////////////
//
// Copyright 2006 - 2018, Paul Beckingham, Federico Hernandez.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
//
// http://www.opensource.org/licenses/mit-license.php
//
////////////////////////////////////////////////////////////////////////////////

#ifndef INCLUDED_STRINGS
#define INCLUDED_STRINGS

// columns/Col*
#define STRING_COLUMN_LABEL_DESC     "Beschreibung"
#define STRING_COLUMN_LABEL_DUE      "Fällig"
#define STRING_COLUMN_LABEL_END      "Ende"
#define STRING_COLUMN_LABEL_ENTERED  "Erfasst"
#define STRING_COLUMN_LABEL_COUNT    "Anzahl"
#define STRING_COLUMN_LABEL_COMPLETE "Erledigt"
#define STRING_COLUMN_LABEL_MOD      "Geändert"
#define STRING_COLUMN_LABEL_ADDED    "Hinzugefügt"
#define STRING_COLUMN_LABEL_AGE      "Alter"
#define STRING_COLUMN_LABEL_PROJECT  "Projekt"
#define STRING_COLUMN_LABEL_UNTIL    "Bis"
#define STRING_COLUMN_LABEL_WAIT     "Aufgeschoben"
#define STRING_COLUMN_LABEL_WAITING  "Aufgeschoben bis"
#define STRING_COLUMN_LABEL_RECUR    "Wiederh."
#define STRING_COLUMN_LABEL_RECUR_L  "Wiederholung"
#define STRING_COLUMN_LABEL_START    "Beginn"
#define STRING_COLUMN_LABEL_STARTED  "Begonnen"
#define STRING_COLUMN_LABEL_ACTIVE   "A"
#define STRING_COLUMN_LABEL_STATUS   "Status"
#define STRING_COLUMN_LABEL_STAT     "St"
#define STRING_COLUMN_LABEL_STAT_PE  "Offen"
#define STRING_COLUMN_LABEL_STAT_CO  "Erledigt"
#define STRING_COLUMN_LABEL_STAT_DE  "Gelöscht"
#define STRING_COLUMN_LABEL_STAT_WA  "Wartet"
#define STRING_COLUMN_LABEL_STAT_RE  "Wiederholend"
#define STRING_COLUMN_LABEL_STAT_P   "O"
#define STRING_COLUMN_LABEL_STAT_C   "E"
#define STRING_COLUMN_LABEL_STAT_D   "G"
#define STRING_COLUMN_LABEL_STAT_W   "A"
#define STRING_COLUMN_LABEL_STAT_R   "W"
#define STRING_COLUMN_LABEL_TAGS     "Schlagworte"
#define STRING_COLUMN_LABEL_TAG      "Schlagwort"
#define STRING_COLUMN_LABEL_UUID     "UUID"
#define STRING_COLUMN_LABEL_URGENCY  "Dringlichkeit"
#define STRING_COLUMN_LABEL_NAME     "Name"
#define STRING_COLUMN_LABEL_VALUE    "Wert"
#define STRING_COLUMN_LABEL_DATE     "Datum"
#define STRING_COLUMN_LABEL_COLUMN   "Spalten"
#define STRING_COLUMN_LABEL_STYLES   "Unterstützte Formate"
#define STRING_COLUMN_LABEL_EXAMPLES "Beispiele"
#define STRING_COLUMN_LABEL_SCHED    "Geplant"
#define STRING_COLUMN_LABEL_UDA      "Name"
#define STRING_COLUMN_LABEL_TYPE     "Typ"
#define STRING_COLUMN_LABEL_MODIFY   "Modifiable"
#define STRING_COLUMN_LABEL_NOMODIFY "Read Only"
#define STRING_COLUMN_LABEL_LABEL    "Beschreibung"
#define STRING_COLUMN_LABEL_DEFAULT  "Standard"
#define STRING_COLUMN_LABEL_VALUES   "Erlaubte Werte"
#define STRING_COLUMN_LABEL_UDACOUNT "Nutzungshäufigkeit"
#define STRING_COLUMN_LABEL_ORPHAN   "Verwaiste UDA"

#define STRING_COLUMN_LABEL_COMMAND  "Command"
#define STRING_COLUMN_LABEL_CATEGORY "Category"
#define STRING_COLUMN_LABEL_RO       "R/W"
#define STRING_COLUMN_LABEL_SHOWS_ID "ID"
#define STRING_COLUMN_LABEL_GC       "GC"
#define STRING_COLUMN_LABEL_CONTEXT  "Context"
#define STRING_COLUMN_LABEL_FILTER   "Filter"
#define STRING_COLUMN_LABEL_MODS     "Mods"
#define STRING_COLUMN_LABEL_MISC     "Misc"

// Column Examples
#define STRING_COLUMN_EXAMPLES_TAGS  "Haus @Hausarbeit next"
#define STRING_COLUMN_EXAMPLES_PROJ  "Haus.Garten"
#define STRING_COLUMN_EXAMPLES_PAR   "Haus"
#define STRING_COLUMN_EXAMPLES_IND   "  Haus.Garten"
#define STRING_COLUMN_EXAMPLES_DESC  "Bekleidung einen Haken tiefer hängen"
#define STRING_COLUMN_EXAMPLES_ANNO1 "Direkt vor dem Mittagessen"
#define STRING_COLUMN_EXAMPLES_ANNO2 "Wenn Du heute Nachmittag in der Partie mitspielst"
#define STRING_COLUMN_EXAMPLES_ANNO3 "Bevor Du den Brief nach Hause schreibst"
#define STRING_COLUMN_EXAMPLES_ANNO4 "Wenn Dein Haar nicht geschnitten wird"

// commands/Cmd*
// USAGE strings are visible in 'task help'
#define STRING_CMD_VERSION_USAGE     "Zeigt die taskwarrior-Versionsnummer"
#define STRING_CMD_VERSION_USAGE2    "Zeigt ausschließlich die taskwarrior-Versionsnummer"
#define STRING_CMD_VERSION_DOCS      "Dokumentation für taskwarrior finden Sie in 'man task', 'man taskrc', 'man task-color', 'man task-sync' oder auf http://taskwarrior.org"
#define STRING_CMD_VERSION_UNKNOWN   "unbekannt"
#define STRING_CMD_EXEC_USAGE        "Führt externe Befehle und Skripte aus"
#define STRING_CMD_URGENCY_USAGE     "Zeigt die Dringlichkeit einer Aufgabe an"
#define STRING_CMD_URGENCY_RESULT    "Aufgabe {1}, Dringlichkeit {2}"
#define STRING_CMD_ADD_USAGE         "Fügt eine neue Aufgabe hinzu"
#define STRING_CMD_ADD_FEEDBACK      "Aufgabe {1} hinzugefügt."
#define STRING_CMD_ADD_RECUR         "Created task {1} (recurrence template)."
#define STRING_CMD_LOG_USAGE         "Protokolliert eine Aufgabe"
#define STRING_CMD_LOG_NO_RECUR      "Wiederholende Aufgaben können nicht protokolliert werden."
#define STRING_CMD_LOG_NO_WAITING    "Aufgeschobene Aufgaben können nicht protokolliert werden."

//#define STRING_CMD_LOG_LOGGED        "Aufgabe protokolliert."
#define STRING_CMD_LOG_LOGGED        "Logged task {1}."

#define STRING_CMD_IDS_USAGE_RANGE   "Zeigt die IDs passender Aufgaben als Folge"
#define STRING_CMD_IDS_USAGE_LIST    "Zeigt die IDs passender Aufgaben als Liste"
#define STRING_CMD_IDS_USAGE_ZSH     "Zeigt die IDs und Beschreibungen passender Aufgaben"
#define STRING_CMD_UDAS_USAGE        "Zeigt alle festgelegten Eigenschaften von UDAs"
#define STRING_CMD_UDAS_COMPL_USAGE  "Zeigt festgelegte UDAs zur Autovervollständigung"
#define STRING_CMD_UUIDS_USAGE_RANGE "Zeigt die UUIDs passender Aufgaben als kommaseparierte Liste"
#define STRING_CMD_UUIDS_USAGE_LIST  "Zeigt die UUIDs passender Aufgaben als Liste"
#define STRING_CMD_UUIDS_USAGE_ZSH   "Zeigt die UUIDs und Beschreibungen passender Aufgaben"
#define STRING_CMD_INFO_USAGE        "Zeigt alle Daten und Metadaten"
#define STRING_CMD_INFO_BLOCKED      "Aufgabe blockiert durch"
#define STRING_CMD_INFO_BLOCKING     "Aufgabe blockiert"
#define STRING_CMD_INFO_UNTIL        "Bis"
#define STRING_CMD_INFO_MODIFICATION "Änderung"
#define STRING_CMD_INFO_MODIFIED     "Letzte Änderung"
#define STRING_CMD_INFO_VIRTUAL_TAGS "Virtual tags"
#define STRING_CMD_UNDO_USAGE        "Macht die letzte Änderung an einer Aufgabe Rückgängig"
#define STRING_CMD_STATS_USAGE       "Zeigt Statistiken zur Aufgaben-Datenbank"
#define STRING_CMD_STATS_CATEGORY    "Kategorie"
#define STRING_CMD_STATS_DATA        "Daten"
#define STRING_CMD_STATS_TOTAL       "Summe"
#define STRING_CMD_STATS_ANNOTATIONS "Annotationen"
#define STRING_CMD_STATS_UNIQUE_TAGS "Unterschiedliche Schlagwörter"
#define STRING_CMD_STATS_PROJECTS    "Projekte"
#define STRING_CMD_STATS_DATA_SIZE   "Datenmenge"
#define STRING_CMD_STATS_UNDO_TXNS   "Transaktionen rückgängig machen"
#define STRING_CMD_STATS_BACKLOG     "Zu synchronisierende Aufgaben"
#define STRING_CMD_STATS_TAGGED      "Verschlagwortete Aufgaben"
#define STRING_CMD_STATS_OLDEST      "Älteste Aufgabe"
#define STRING_CMD_STATS_NEWEST      "Neueste Aufgabe"
#define STRING_CMD_STATS_USED_FOR    "Task genutzt"
#define STRING_CMD_STATS_ADD_EVERY   "Aufgabe hinzugefügt alle"
#define STRING_CMD_STATS_COMP_EVERY  "Aufgabe erledigt alle"
#define STRING_CMD_STATS_DEL_EVERY   "Aufgabe gelöscht alle"
#define STRING_CMD_STATS_AVG_PEND    "Durchschnittliche Zeit im Offen-Status"
#define STRING_CMD_STATS_DESC_LEN    "Durchschnittliche Beschreibungslänge"
#define STRING_CMD_STATS_CHARS       "{1} Zeichen"
#define STRING_CMD_STATS_BLOCKED     "Blockierte Aufgaben"
#define STRING_CMD_STATS_BLOCKING    "Blockierende Aufgaben"
#define STRING_CMD_REPORTS_USAGE     "Zeigt alle unterstützten Reports"
#define STRING_CMD_REPORTS_REPORT    "Report"
#define STRING_CMD_REPORTS_DESC      "Beschreibung"
#define STRING_CMD_REPORTS_SUMMARY   "{1} Reports"
#define STRING_CMD_TAGS_USAGE        "Listet alle genutzten Schlagworte"
#define STRING_CMD_COMTAGS_USAGE     "Listet ausschließlich alle genutzten Schlagwörter zur Auto-Vervollständigung"
#define STRING_CMD_TAGS_SINGLE       "1 Schlagwort"
#define STRING_CMD_TAGS_PLURAL       "{1} Schlagworte"
#define STRING_CMD_TAGS_NO_TAGS      "Keine Schlagworte."
#define STRING_CMD_HISTORY_USAGE_D   "Zeigt die tägliche Aufgabenentwicklung"
#define STRING_CMD_HISTORY_USAGE_W   "Zeigt die wöchentliche Aufgabenentwicklung"
#define STRING_CMD_HISTORY_USAGE_M   "Zeigt die monatliche Aufgabenentwicklung"
#define STRING_CMD_HISTORY_YEAR      "Jahr"
#define STRING_CMD_HISTORY_MONTH     "Monat"
#define STRING_CMD_HISTORY_DAY       "Tag"
#define STRING_CMD_HISTORY_ADDED     "Hinzugefügt"
#define STRING_CMD_HISTORY_COMP      "Erledigt"
#define STRING_CMD_HISTORY_DEL       "Gelöscht"
#define STRING_CMD_HISTORY_NET       "Änderung"
#define STRING_CMD_HISTORY_USAGE_A   "Zeigt die jährliche Aufgabenentwicklung"
#define STRING_CMD_HISTORY_AVERAGE   "Durchschnitt"
#define STRING_CMD_HISTORY_LEGEND    "Legende: {1}, {2}, {3}"
#define STRING_CMD_HISTORY_LEGEND_A  "Legende: + hinzugefügt, X erledigt, - gelöscht"
#define STRING_CMD_GHISTORY_USAGE_D  "Zeigt die tägliche Aufgabenentwicklung grafisch"
#define STRING_CMD_GHISTORY_USAGE_W  "Zeigt die wöchentliche Aufgabenentwicklung grafisch"
#define STRING_CMD_GHISTORY_USAGE_M  "Zeigt die monatliche Aufgabenentwicklung grafisch"
#define STRING_CMD_GHISTORY_USAGE_A  "Zeigt die jährliche Aufgabenentwicklung grafisch"
#define STRING_CMD_GHISTORY_YEAR     "Jahr"
#define STRING_CMD_GHISTORY_MONTH    "Monat"
#define STRING_CMD_GHISTORY_MONTH    "Tag"
#define STRING_CMD_GHISTORY_NUMBER   "Anzahl Hinzugefügt/Erledigt/Gelöscht"
#define STRING_CMD_UNIQUE_USAGE      "Generates lists of unique attribute values"
#define STRING_CMD_UNIQUE_MISSING    "An attribute must be specified.  See 'task _columns'."
#define STRING_CMD_UNIQUE_VALID      "You must specify an attribute or UDA."

#define STRING_CMD_PROJECTS_USAGE    "Zeigt alle genutzten Projektnamen"
#define STRING_CMD_PROJECTS_USAGE_2  "Zeigt ausschließlich alle genutzten Projektnamen"
#define STRING_CMD_PROJECTS_NO       "Keine Projekte."
#define STRING_CMD_PROJECTS_NONE     "(keine)"
#define STRING_CMD_PROJECTS_SUMMARY  "{1} Projekt"
#define STRING_CMD_PROJECTS_SUMMARY2 "{1} Projekte"
#define STRING_CMD_PROJECTS_TASK     "({1} Aufgabe)"
#define STRING_CMD_PROJECTS_TASKS    "({1} Aufgaben)"
#define STRING_CMD_SUMMARY_USAGE     "Zeigt einen Aufgabenstatusbericht nach Projekten"
#define STRING_CMD_SUMMARY_PROJECT   "Projekt"
#define STRING_CMD_SUMMARY_REMAINING "Verbleibend"
#define STRING_CMD_SUMMARY_AVG_AGE   "Durchschnittliches Alter"
#define STRING_CMD_SUMMARY_COMPLETE  "erledigt"
#define STRING_CMD_SUMMARY_NONE      "(keine)"
#define STRING_CMD_COUNT_USAGE       "Zählt gewählte Aufgaben"

#define STRING_CMD_PURGE_USAGE       "Removes the specified tasks from the data files. Causes permanent loss of data."
#define STRING_CMD_PURGE_ABRT        "Purge operation aborted."
#define STRING_CMD_PURGE_1           "Purged {1} task."
#define STRING_CMD_PURGE_N           "Purged {1} tasks."
#define STRING_CMD_PURGE_CONFIRM     "Permanently remove task {1} '{2}'?"
#define STRING_CMD_PURGE_CONFIRM_R   "Task '{1}' is a recurrence template. All its {2} deleted children tasks will be purged as well. Continue?"
#define STRING_CMD_PURGE_NDEL_CHILD  "Task '{1}' is a recurrence template. Its child task {2} must be deleted before it can be purged."

#define STRING_CMD_APPEND_USAGE      "Fügt einer Aufgabenbeschreibung Text hinzu"
#define STRING_CMD_APPEND_1          "Zu {1} Aufgabe hinzugefügt."
#define STRING_CMD_APPEND_N          "Zu {1} Aufgaben hinzugefügt."
#define STRING_CMD_APPEND_TASK       "Füge zur Aufgabe {1} '{2}' hinzu."
#define STRING_CMD_APPEND_TASK_R     "Füge zur wiederholenden Aufgabe {1} '{2}' hinzu."
#define STRING_CMD_APPEND_CONFIRM_R  "Dies ist eine wiederholende Aufgabe.  Möchten Sie zu allen offenen Wiederholungen dieser Aufgabe hinzufügen?"
#define STRING_CMD_APPEND_CONFIRM    "Zu Aufgabe {1} '{2}' hinzufügen?"
#define STRING_CMD_APPEND_NO         "Nicht zu Aufgabe hinzugefügt."

#define STRING_CMD_PREPEND_USAGE     "Stellt einer Aufgabenbeschreibung Text voran"
#define STRING_CMD_PREPEND_1         "Vor {1} Aufgabe vorangestellt."
#define STRING_CMD_PREPEND_N         "Vor {1} Aufgaben vorangestellt."
#define STRING_CMD_PREPEND_TASK      "Stelle Aufgabe {1} '{2}' voran."
#define STRING_CMD_PREPEND_TASK_R    "Stelle wiederholender Aufgabe {1} '{2}' voran."
#define STRING_CMD_PREPEND_CONFIRM_R "Dies ist eine wiederholende Aufgabe.  Möchten Sie vor allen offenen Wiederholungen dieser Aufgabe anfügen?"
#define STRING_CMD_PREPEND_CONFIRM   "Vor Aufgabe {1} '{2}' anfügen?"
#define STRING_CMD_PREPEND_NO        "Nicht vor Aufgabe angefügt."

#define STRING_CMD_ANNO_USAGE        "Kommentiert eine bestehene Aufgabe"
#define STRING_CMD_ANNO_CONFIRM      "Aufgabe {1} '{2}' kommentieren?"
#define STRING_CMD_ANNO_TASK         "Kommentiere Aufgabe {1} '{2}'."
#define STRING_CMD_ANNO_TASK_R       "Kommentiere wiederholende Aufgabe {1} '{2}'."
#define STRING_CMD_ANNO_CONFIRM_R    "Dies ist eine wiederholende Aufgabe.  Möchten Sie alle offenen Wiederholungen dieser Aufgabe kommentieren?"
#define STRING_CMD_ANNO_NO           "Aufgabe nicht kommentiert."
#define STRING_CMD_ANNO_1            "{1} Aufgabe kommentiert."
#define STRING_CMD_ANNO_N            "{1} Aufgaben kommentiert."

#define STRING_CMD_DENO_USAGE        "Löscht einen Kommentar"
#define STRING_CMD_DENO_NONE         "Die gewählte Aufgabe hat keine Kommentare, welche gelöscht werden können."
#define STRING_CMD_DENO_CONFIRM      "Kommentar in Aufgabe {1} '{2}' löschen?"
#define STRING_CMD_DENO_FOUND        "Kommentar '{1}' gefunden und gelöscht."
#define STRING_CMD_DENO_NOMATCH      "Keine passenden Kommentare zu '{1}' gefunden und gelöscht."
#define STRING_CMD_DENO_NO           "Keine Kommentare gelöscht."
#define STRING_CMD_DENO_1            "Kommentar zu {1} Aufgabe gelöscht."
#define STRING_CMD_DENO_N            "Kommentare zu {1} Aufgaben gelöscht."

#define STRING_CMD_IMPORT_USAGE      "Importiert eine JSON-Datei"
#define STRING_CMD_IMPORT_SUMMARY    "{1} Aufgabe importiert."
#define STRING_CMD_IMPORT_FILE       "Importiere '{1}'"
#define STRING_CMD_IMPORT_MISSING    "Datei '{1}' nicht gefunden."
#define STRING_CMD_IMPORT_UUID_BAD   "Not a valid UUID '{1}'."
#define STRING_TASK_NO_DESC          "Kommentar fehlt Beschreibung: {1}"
#define STRING_TASK_NO_ENTRY         "Kommentar fehlt Erfassungsdatum: {1}"

#define STRING_CMD_COMMANDS_USAGE    "Generates a list of all commands, with behavior details"
#define STRING_CMD_HCOMMANDS_USAGE   "Erzeugt eine Liste aller Befehle zur Auto-Vervollständigung"
#define STRING_CMD_ZSHCOMMANDS_USAGE "Erzeugt eine Liste aller Befehle zur ZSH-Auto-Verfollständigung"
#define STRING_CMD_ZSHATTS_USAGE     "Erzeugt eine Liste Eigenschaften zur ZSH-Auto-Vervollständigung"
#define STRING_CMD_ALIASES_USAGE     "Erzeugt eine Liste aller Aliase zur Auto-Vervollständigung"

#define STRING_CMD_COLOR_USAGE       "Alle Farben, ein Beispiel, oder eine Legende"
#define STRING_CMD_COLOR_HERE        "Diese Farben werden zur Zeit genutzt:"
#define STRING_CMD_COLOR_COLOR       "Farbe"
#define STRING_CMD_COLOR_DEFINITION  "Definition"
#define STRING_CMD_COLOR_EXPLANATION "Nutzen Sie diesen Befehl, um zu sehen, wie die Farben auf Ihrem Terminal dargestellt werden."
#define STRING_CMD_COLOR_16          "16 Farben (unterstützt underline, bold text, bright background):"
#define STRING_CMD_COLOR_256         "256 Farben (unterstützt underline):"
#define STRING_CMD_COLOR_YOURS       "Ihr Beispiel:"
#define STRING_CMD_COLOR_BASIC       "Basisfarben"
#define STRING_CMD_COLOR_EFFECTS     "Effekte"
#define STRING_CMD_COLOR_CUBE        "RGB-Farbwürfel "
#define STRING_CMD_COLOR_RAMP        "Grauskala"
#define STRING_CMD_COLOR_TRY         "Versuchen Sie '{1}' auszuführen."
#define STRING_CMD_COLOR_OFF         "Farben wurden in Ihrer .taskrc-Datei deaktiviert.  Um zie zu aktivieren, löschen Sie die Zeile 'color=off' oder ändern Sie 'off' zu 'on'."
#define STRING_CMD_CONFIG_USAGE      "task-Konfiguration verändern"
#define STRING_CMD_CONFIG_CONFIRM    "Wirklich die Option '{1}' von '{2}' zu '{3}' ändern?"
#define STRING_CMD_CONFIG_CONFIRM2   "Wirklich die Option '{1}' mit Wert '{2}' hinzufügen?"
#define STRING_CMD_CONFIG_CONFIRM3   "Wirklich die Option '{1}' entfernen?"
#define STRING_CMD_CONFIG_NO_ENTRY   "Kein Eintrag '{1}' gefunden."
#define STRING_CMD_CONFIG_FILE_MOD   "Konfigurationsdatei {1} verändert."
#define STRING_CMD_CONFIG_NO_NAME    "Geben Sie den Wert der zu ändernden Option an."
#define STRING_CMD_HCONFIG_USAGE     "Zeigt alle unterstützten Konfigurations-Optionen zur AUtovervollständigung"
#define STRING_CMD_CONTEXT_USAGE     "Set and define contexts (default filters)"
#define STRING_CMD_CONTEXT_DEF_SUCC  "Context '{1}' defined. Use 'task context {1}' to activate."
#define STRING_CMD_CONTEXT_DEF_FAIL  "Context '{1}' not defined."
#define STRING_CMD_CONTEXT_DEF_USAG  "Both context name and its definition must be provided."
#define STRING_CMD_CONTEXT_DEF_ABRT  "Context definiton aborted."
#define STRING_CMD_CONTEXT_DEF_ABRT2 "Filter validation failed: {1}"
#define STRING_CMD_CONTEXT_DEF_CONF  "The filter '{1}' matches 0 pending tasks. Do you wish to continue?"
#define STRING_CMD_CONTEXT_DEF_INVLD "The name '{1}' is reserved and not allowed to use as a context name."
#define STRING_CMD_CONTEXT_DEL_SUCC  "Context '{1}' deleted."
#define STRING_CMD_CONTEXT_DEL_FAIL  "Context '{1}' not deleted."
#define STRING_CMD_CONTEXT_DEL_USAG  "Context name needs to be specified."
#define STRING_CMD_CONTEXT_LIST_EMPT "No contexts defined."
#define STRING_CMD_CONTEXT_SET_NFOU  "Context '{1}' not found."
#define STRING_CMD_CONTEXT_SET_SUCC  "Context '{1}' set. Use 'task context none' to remove."
#define STRING_CMD_CONTEXT_SET_FAIL  "Context '{1}' not applied."
#define STRING_CMD_CONTEXT_SHOW_EMPT "No context is currently applied."
#define STRING_CMD_CONTEXT_SHOW      "Context '{1}' with filter '{2}' is currently applied."
#define STRING_CMD_CONTEXT_NON_SUCC  "Context unset."
#define STRING_CMD_CONTEXT_NON_FAIL  "Context not unset."
#define STRING_CMD_HCONTEXT_USAGE    "Lists all supported contexts, for completion purposes"
#define STRING_CMD_CUSTOM_MISMATCH   "Die Anzahl von Spalten und Beschriftungen für Report '{1}' unterscheidet sich."
#define STRING_CMD_CUSTOM_SHOWN      "{1} gezeigt"
#define STRING_CMD_CUSTOM_COUNT      "1 Aufgabe"
#define STRING_CMD_CUSTOM_COUNTN     "{1} Aufgaben"
#define STRING_CMD_CUSTOM_TRUNCATED  "auf {1} Zeilen gekürzt"
#define STRING_CMD_TIMESHEET_USAGE   "Wöchentliche Zusammenfassung abgeschlossener und anfgefangener Aufgaben"
#define STRING_CMD_TIMESHEET_STARTED "Begonnen ({1} Aufgaben)"
#define STRING_CMD_TIMESHEET_DONE    "Abgeschlossen ({1} Aufgaben)"
#define STRING_CMD_BURN_USAGE_M      "Zeigt ein Burn-Down-Diagramm, per Monat"
#define STRING_CMD_BURN_USAGE_W      "Zeigt ein Burn-Down-Diagramm, per Woche"
#define STRING_CMD_BURN_USAGE_D      "Zeigt ein Burn-Down-Diagramm, per Tag"
#define STRING_CMD_BURN_TITLE        "Burn-Down"
#define STRING_CMD_BURN_TOO_SMALL    "Terminal-Fenster zu klein um Graph zu zeichnen"
#define STRING_CMD_BURN_TOO_LARGE    "Terminal window too large to draw a graph."
#define STRING_CMD_BURN_DAILY        "Tägliches"
#define STRING_CMD_BURN_WEEKLY       "Wöchentliches"
#define STRING_CMD_BURN_MONTHLY      "Monatliches"
#define STRING_CMD_BURN_STARTED      "Angef."          // Must be 7 or fewer characters
#define STRING_CMD_BURN_DONE         "Beendet"             // Must be 7 or fewer characters
#define STRING_CMD_BURN_PENDING      "Offen"          // Must be 7 or fewer characters
#define STRING_CMD_BURN_NO_CONVERGE  "Keine Konvergenz"
#define STRING_CMD_CAL_USAGE         "Zeigt einen Kalender mit hervorgehobenen fälligen Aufgaben"
#define STRING_CMD_CAL_BAD_MONTH     "Argument '{1}' ist kein zulässiger Monat."
#define STRING_CMD_CAL_BAD_ARG       "Konnte Argument '{1}' nicht erkennen."
#define STRING_CMD_CAL_LABEL_DATE    "Datum"
#define STRING_CMD_CAL_LABEL_HOL     "Feiertag"
#define STRING_CMD_CAL_SUN_MON       "Die 'weekstart'-Konfigurationsoption darf nur 'Sunday' oder 'Monday' lauten."
#define STRING_CMD_CALC_USAGE        "Rechner"

// Feedback
#define STRING_FEEDBACK_NO_TASKS     "Keine Aufgaben."
#define STRING_FEEDBACK_NO_TASKS_SP  "Keine Aufgaben angegeben."
#define STRING_FEEDBACK_NO_MATCH     "Keine treffer."
#define STRING_FEEDBACK_TASKS_SINGLE "(1 Aufgabe)"
#define STRING_FEEDBACK_TASKS_PLURAL "({1} Aufgaben)"
#define STRING_FEEDBACK_DELETED      "{1} wird gelöscht."
#define STRING_FEEDBACK_DEP_SET      "Abhängigkeit wird auf '{1}' gesetzt."
#define STRING_FEEDBACK_DEP_MOD      "Abhängigkeit wird von '{1}' zu '{2}' geändert."
#define STRING_FEEDBACK_DEP_DEL      "Abhängigkeit '{1}' wird gelöscht."
#define STRING_FEEDBACK_DEP_WAS_SET  "Abhängigkeit wurde auf '{1}' gesetzt."
#define STRING_FEEDBACK_DEP_WAS_MOD  "Dependencies wurde von '{1}' zu '{2}' geändert."
#define STRING_FEEDBACK_ATT_SET      "{1} wird auf '{2}' gesetzt."
#define STRING_FEEDBACK_ATT_MOD      "{1} wird von '{2}' zu '{3}' geändert."
#define STRING_FEEDBACK_ATT_DEL      "{1} wird gelöscht."
#define STRING_FEEDBACK_ATT_DEL_DUR  "{1} wird gelöscht (Dauer: {2})."
#define STRING_FEEDBACK_ATT_WAS_SET  "{1} wurde auf '{2}' gesetzt."
#define STRING_FEEDBACK_ATT_WAS_MOD  "{1} wurde von '{2}' zu '{3}' geändert."
#define STRING_FEEDBACK_ANN_ADD      "Kommentar von '{1}' hinzugefügt."
#define STRING_FEEDBACK_ANN_DEL      "Kommentar '{1}' gelöscht."
#define STRING_FEEDBACK_ANN_WAS_MOD  "Kommentar zu '{1}' geändert."
#define STRING_FEEDBACK_NOP          "Keine Änderungen werden durchgeführt."
#define STRING_FEEDBACK_WAS_NOP      "Keine Änderungen wurden durchgeführt."
#define STRING_FEEDBACK_TAG_NOCOLOR  "Das besondere Schlagwort 'nocolor' deaktiviert Farb-Regeln für diese Aufgabe."
#define STRING_FEEDBACK_TAG_NONAG    "Das besondere Schlagwort 'nonag' verhindert Nachfragen, wenn diese Aufgabe geändert wird."
#define STRING_FEEDBACK_TAG_NOCAL    "Das besondere Schlagwort 'nocal' verhindert, dass diese Aufgabe im 'calendar'-Report erscheint."
#define STRING_FEEDBACK_TAG_NEXT     "Das besondere Schlagwort 'next' erhöht die Dringlichkeit dieser Aufgabe, sodass sie im 'next'-Report erscheint."
#define STRING_FEEDBACK_TAG_VIRTUAL  "Virtual tags (including '{1}') are reserved and may not be added or removed."
#define STRING_FEEDBACK_UNBLOCKED    "Aufgabe {1} '{2}' entsperrt."
#define STRING_FEEDBACK_EXPIRED      "Aufgabe {1} '{2}' ist abgelaufen und wurde gelöscht."
#define STRING_FEEDBACK_BACKLOG_N    "{1} Lokale Änderungen.  Datenabgleich erforderlich."
#define STRING_FEEDBACK_BACKLOG      "{1} Lokale Änderungen.  Datenabgleich erforderlich."

// Task
#define STRING_TASK_NO_FF1           "Taskwarrior unterstützt Datei-Format 1 nicht mehr, welches ursprünglich zwischen dem 27. November 2006 und 31. Dezember 2007 eingesetzt wurde."
#define STRING_TASK_NO_FF2           "Taskwarrior unterstützt Datei-Format 2 nicht mehr, welches ursprünglich zwischen dem 1. Januar 2008 und 12. April 2009 eingesetzt wurde."
#define STRING_TASK_NO_FF3           "Taskwarrior unterstützt Datei-Format 3 nicht mehr, welches ursprünglich zwischen dem 23. März 2009 und 16. Mai 2009 eingesetzt wurde."
#define STRING_TASK_PARSE_UNREC_FF   "Nicht erkanntes taskwarrior-Dateiformat."
#define STRING_TASK_DEPEND_ITSELF    "Eine Aufgabe kann nicht von sich selbst abhängen."
#define STRING_TASK_DEPEND_MISS_CREA "Konnte keine Abhängigkeit von Aufgabe {1} erstellen - Aufgabe nicht gefunden."
#define STRING_TASK_DEPEND_MISS_DEL  "Konnte keine Abhängigkeit zu Aufgabe {1} löschen - nicht gefunden."
#define STRING_TASK_DEPEND_DUP       "Aufgabe {1} hängt bereits von Aufgabe {2} ab."
#define STRING_TASK_DEPEND_CIRCULAR  "Verbotene zyklische Abhängigkeit erkannt."
#define STRING_TASK_VALID_BLANK      "Leere Aufgaben können nicht angelegt werden."
#define STRING_TASK_VALID_BEFORE     "Warnung: Das '{1}'-Datum ist nach dem '{2}'-Datum."
#define STRING_TASK_VALID_REC_DUE    "Wiederholende Aufgaben müssen eine Fälligkeit besitzen."
#define STRING_TASK_SAFETY_VALVE     "This command has no filter, and will modify all (including completed and deleted) tasks.  Are you sure?"
#define STRING_TASK_SAFETY_FAIL      "Befehl an Ausführung gehindert."
#define STRING_TASK_SAFETY_ALLOW     "Kein Filter angegeben, und durch den konfigurierten 'allow.empty.filter'-Wert wurde keine Aktion durchgeführt."
#define STRING_TASK_INVALID_COL_TYPE "Nicht erkannter Typ '{1}' für Spalte '{2}'"

#endif
